The CycloneDX SBOM of one image of the app's current release (gzip-encoded JSON).
GET
/api/v1/projects/{project}/environments/{environment}/apps/{app}/sbom/{digest}
const url = 'https://example.com/api/v1/projects/example/environments/example/apps/example/sbom/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/projects/example/environments/example/apps/example/sbom/exampleParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project
required
string
Project name
environment
required
string
Environment short name
app
required
string
App name
digest
required
string
Image digest (sha256:…)
Responses
Section titled “Responses”CycloneDX JSON, Content-Encoding: gzip
Media typeapplication/vnd.cyclonedx+json
Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}